Page MenuHomePhabricator

Enable Latvian and Lithuanian analyzers
Closed, ResolvedPublic

Description

Our current version of Elastic supports Lithuanian and Latvian analyzers, but they are not enabled (the default analyzers with no stemming / morphological processing are being used).

Event Timeline

TJones created this task.Oct 13 2016, 4:34 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 13 2016, 4:34 PM
debt triaged this task as Normal priority.Oct 13 2016, 5:21 PM
debt added a project: Discovery.
debt moved this task from needs triage to Up Next on the Discovery-Search board.
debt added a subscriber: CKoerner_WMF.
TJones moved this task from Up Next to Current work on the Discovery-Search board.Oct 14 2016, 4:04 PM
TJones claimed this task.

Change 315984 had a related patch set uploaded (by Tjones):
Enable Latvian and Lithuanian analyzers

https://gerrit.wikimedia.org/r/315984

Change 315984 merged by jenkins-bot:
Enable Latvian and Lithuanian analyzers

https://gerrit.wikimedia.org/r/315984

Deskana closed this task as Resolved.Oct 28 2016, 4:27 AM
Deskana added a subscriber: Deskana.

@TJones Do we know what the impact of this one was? Should I file a task to find out?

Regardless, this task was for the deployment; that was done, so we can close this task.

@Deskana: Not yet. Right now the config is changed, but nothing will happen until BM25-driven reindexing takes place. We haven't made it to the relevant wikis yet.